diff --git a/.gitignore b/.gitignore
index 911da19..85decd5 100644
--- a/.gitignore
+++ b/.gitignore
@@ -4,6 +4,8 @@
 *.bak
 *.swp
 *.tar.*
+.tx
+docs/sphinxdocs/_build
 .project
 .pydevproject
 asthelper.completions
diff --git a/Makefile b/Makefile
index 740b616..9389aa8 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-SUBDIRS = rpmUtils yum etc docs po
+SUBDIRS = rpmUtils yum yum-cron etc docs po
 PYFILES = $(wildcard *.py)
 PYLINT_MODULES =  *.py yum rpmUtils
 PYLINT_IGNORE = oldUtils.py
@@ -26,8 +26,9 @@ install:
 	for p in $(PYFILES) ; do \
 		install -m 644 $$p $(DESTDIR)/usr/share/yum-cli/$$p; \
 	done
+	chmod 755 $(DESTDIR)/usr/share/yum-cli/completion-helper.py
 	mv $(DESTDIR)/usr/share/yum-cli/yum-updatesd.py $(DESTDIR)/usr/share/yum-cli/yumupd.py
-	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/usr/share/yum-cli', 1, '$(PYDIR)', 1)"
+	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/usr/share/yum-cli', 1, '/usr/share/yum-cli', 1)"
 
 	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/sbin
 	install -m 755 bin/yum.py $(DESTDIR)/usr/bin/yum
@@ -36,7 +37,26 @@ install:
 	mkdir -p $(DESTDIR)/var/cache/yum
 	mkdir -p $(DESTDIR)/var/lib/yum
 
-	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done
+	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` UNITDIR=$(UNITDIR) INIT=$(INIT) -C $$d install; [ $$? = 0 ] || exit 1; done
+
+apidocs:
+	make -C docs/sphinxdocs html
+	echo "Docs are in: docs/sphinxdocs/_build/html/*"
+
+transifex-pull:
+	tx pull -a -f
+	@echo "You can now git commit -a -m 'Transifex pull, *.po update'"
+
+transifex-push:
+	make -C po yum.pot
+	tx push -s -t
+	@echo "You can now git commit -a -m 'Transifex push, yum.pot update'"
+
+transifex:
+	make transifex-pull
+	git commit -a -m 'Transefex pull, *.po update'
+	make transifex-push
+	git commit -a -m 'Transifex push, yum.pot update'
 
 .PHONY: docs test
 
@@ -63,7 +83,6 @@ doccheck:
 
 test:
 	@nosetests -i ".*test" test
-	-@test/check-po-yes-no.py
 	cd po; make test
 
 test-skipbroken:
diff --git a/callback.py b/callback.py
index 2f6154e..2e5a052 100644
--- a/callback.py
+++ b/callback.py
@@ -27,10 +27,7 @@ from yum.constants import *
 
 
 class RPMInstallCallback:
-
-    """
-    Yum command line callback class for callbacks from the RPM library.
-    """
+    """Yum command line callback class for callbacks from the RPM library."""
 
     def __init__(self, output=1):
         self.output = output
@@ -105,6 +102,21 @@ class RPMInstallCallback:
         return pkg
 
     def callback(self, what, bytes, total, h, user):
+        """Handle callbacks from the RPM library.
+
+        :param what: number identifying the type of callback
+        :param bytes: the number of bytes associated with the
+           callback; the exact meaning depends on the type of 
+           the callback.  For example, for a RPMCALLBACK_INST_PROGRESS
+           callback, bytes will represent the current amount of work done
+        :param total: the total amount of work associated with the
+           callback; the exact meaning depends on the type of the
+           callback. For example, *total* may represent the total
+           number of transactions in a transaction set
+        :param h: a package object or string identifying the package
+           involved in the callback
+        :param user: unused
+        """
         if what == rpm.RPMCALLBACK_TRANS_START:
             if bytes == 6:
                 self.total_actions = total
